Change in gr-gsm[master]: tests: fix some shellcheck errors.

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

ptrkrysik gerrit-no-reply at lists.osmocom.org
Mon May 3 10:31:50 UTC 2021


ptrkrysik has submitted this change. ( https://gerrit.osmocom.org/c/gr-gsm/+/24087 )

Change subject: tests: fix some shellcheck errors.
......................................................................

tests: fix some shellcheck errors.

Execute "gnuradio-config-info --version" instead of
"gnuradio-companion --version"

Change-Id: Ia399324ae7a39e120e338c86d449d7c4d54bd866
---
M tests/scripts/decode.sh
M tests/scripts/decrypt.sh
2 files changed, 8 insertions(+), 10 deletions(-)

Approvals:
  ptrkrysik: Looks good to me, approved; Verified



diff --git a/tests/scripts/decode.sh b/tests/scripts/decode.sh
index b982709..98aa165 100755
--- a/tests/scripts/decode.sh
+++ b/tests/scripts/decode.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-TEST_DIR=`dirname "$0"`
+TEST_DIR=$(dirname "$0")
 
 # PYTHONPATH and LD_LIBRARY_PATH are needed on Fedora 26
 #
@@ -18,11 +18,10 @@
 export RUNLINE="$AP_DECODE -c $SHORTENED_CAPFILE -s $((100000000/174)) -m BCCH -t 0 -v --ppm -10"
 echo "Testing with:"
 echo "  $RUNLINE"
-#gnuradio 3.8 does not have --version parameter
-#gnuradio-companion --version
+gnuradio-config-info --version
 
-cd $TEST_DIR
-cat $CAPFILE | head -c 6000000 > $SHORTENED_CAPFILE
+cd "$TEST_DIR" || exit 1
+head -c 6000000 $CAPFILE  > $SHORTENED_CAPFILE
 
 $RUNLINE | grep -A 999999 "860933 1329237:  59 06 1a 8f 6d 18 10 80 00 00 00 00 00 00 00 00 00 00 00 78 b9 00 00" | tee $RESULT_OBTAINED
 diff $RESULT_EXPECTED $RESULT_OBTAINED
diff --git a/tests/scripts/decrypt.sh b/tests/scripts/decrypt.sh
index 7f9bc60..824955f 100755
--- a/tests/scripts/decrypt.sh
+++ b/tests/scripts/decrypt.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-TEST_DIR=`dirname "$0"`
+TEST_DIR=$(dirname "$0")
 
 # PYTHONPATH and LD_LIBRARY_PATH are needed on Fedora 26
 #
@@ -18,11 +18,10 @@
 export RUNLINE="$AP_DECODE -c $SHORTENED_CAPFILE -s $((100000000/174)) -m SDCCH8 -t 1 -k 0x1E,0xF0,0x0B,0xAB,0x3B,0xAC,0x70,0x02 -v --ppm -10"
 echo "Testing with:"
 echo "  $RUNLINE"
-#gnuradio 3.8 does not have --version parameter
-#gnuradio-companion --version
+gnuradio-config-info --version
 
-cd $TEST_DIR
-cat $CAPFILE | head -c -37000000 | head -c 35800000  > $SHORTENED_CAPFILE
+cd "$TEST_DIR" || exit 1
+head -c -37000000 $CAPFILE | head -c 35800000  > $SHORTENED_CAPFILE
 
 $RUNLINE | grep -A 999999 "862210 1331352:  03 03 01 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b 2b" | tee $RESULT_OBTAINED
 diff -u $RESULT_EXPECTED $RESULT_OBTAINED

-- 
To view, visit https://gerrit.osmocom.org/c/gr-gsm/+/24087
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: gr-gsm
Gerrit-Branch: master
Gerrit-Change-Id: Ia399324ae7a39e120e338c86d449d7c4d54bd866
Gerrit-Change-Number: 24087
Gerrit-PatchSet: 1
Gerrit-Owner: ptrkrysik <ptrkrysik at gmail.com>
Gerrit-Reviewer: ptrkrysik <ptrkrysik at gmail.com>
Gerrit-Reviewer: vvvelichkov <vvvelichkov at gmail.com>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20210503/67a3f0f7/attachment.htm>


More information about the gerrit-log mailing list